| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
NumberComponentOptions Interface Reference
UIExtension » components » options

An interface describes all configuration options of number component. More...

Inheritance diagram for NumberComponentOptions:

## Public Attributes
number | max = Infinity
| The maximum value of the component. More...
number | min = -Infinity
| The minimum value of the component. More...
string | prefix = ''
| A string as the prefix displaying on the input box. More...
number | step = 1
| The step size of the component. More...
string | suffix = ''
| A string as the suffix displaying on the input box. More...
Public Attributes inherited from FormFieldComponentOptions
string | fieldName = ''
| The field name. attribute name in layout-template: field-name. More...
Public Attributes inherited from ComponentOptions
boolean | active = false
| Initial activation state. More...
boolean | canBeDisabled =false
| Wheher or not this component can be disabled, if true, disable method will be not working. attribute name in layout-template: can-be-disabled. More...
string | cls = ''
| Specific a class attribute for the root element of a component. In the fragment config, it is writtern like this: new PDFUI({ fragments:[{ target: 'your component name', config: { cls: 'your-custom-css-class' } },...] }) and in layout-template, it's writtern like the this: <component-type class="your-custom-css-class"> </component-type> . More...
boolean | disabled =false
| initial disable state More...
boolean | visible = true
| Initial visibility state, if false, this component will be not displaying on screen after mounted. More...

## Detailed Description

An interface describes all configuration options of number component.

Since
  7.0.0

## Member Data Documentation

## ◆ max

number max = Infinity

The maximum value of the component.

Since
  7.0.0

## ◆ min

number min = -Infinity

The minimum value of the component.

Since
  7.0.0

## ◆ prefix

string prefix = ''

A string as the prefix displaying on the input box.

Since
  7.0.0

## ◆ step

number step = 1

The step size of the component.

Since
  7.0.0

## ◆ suffix

string suffix = ''

A string as the suffix displaying on the input box.

Since
  7.0.0

@2025 Foxit Software Incorporated. All rights reserved.